astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- ESA ISO Archive (`astroquery.esa.iso`) »
- ISOClass

# ISOClass

class astroquery.esa.iso.ISOClass(tap_handler=None)

  Bases: `BaseQuery`

  Attributes Summary

  `TIMEOUT` |
  `data_url` |
  `metadata_url` |

  Methods Summary

  `download_data`(tdt, *[, retrieval_type, ...]) | Download data from ISO
  `get_columns`(table_name, *[, only_names, verbose]) | Get the available columns for a table in XSA TAP service
  `get_download_link`(tdt, retrieval_type, ...) | Get download link for ISO
  `get_postcard`(tdt, *[, filename, verbose]) | Download postcards from ISO Data Archive
  `get_postcard_link`(tdt[, filename, verbose]) | Get postcard link for ISO
  `get_tables`(*[, only_names, verbose]) | Get the available table in XSA TAP service
  `query_ida_tap`(query, *[, output_file, ...]) | Launches a synchronous job to query ISO Tabular Access Protocol Service

  Attributes Documentation

  TIMEOUT = 60
  data_url = 'https://nida.esac.esa.int/nida-sl-tap/data?'
  metadata_url = 'https://nida.esac.esa.int/nida-sl-tap/tap/'

  Methods Documentation

  download_data(tdt, *, retrieval_type=None, filename=None, verbose=False, **kwargs)

    Download data from ISO

    Parameters:
      tdt string

        id of the Target Dedicated Time (observation identifier) to be downloaded, mandatory The identifier of the observation we want to retrieve, 8 digits example: 40001501

      product_level string

        level to download, optional, by default everything is selected values: DEFAULT_DATA_SET, FULLY_PROC, RAW_DATA, BASIC_SCIENCE, QUICK_LOOK, DEFAULT_DATA_SET, HPDP, ALL

      retrieval_type string

        type of retrieval: OBSERVATION for full observation or STANDALONE for single files

      filename string

        file name to be used to store the file

      verbose bool

        optional, default ‘False’ flag to display information about the process

    Returns:
      File name of downloaded data
  get_columns(table_name, *, only_names=True, verbose=False)

    Get the available columns for a table in XSA TAP service

    Parameters:
      table_name string, mandatory, default None

        table name of which, columns will be returned

      only_names bool, TAP+ only, optional, default ‘True’

        True to load table names only

      verbose bool, optional, default ‘False’

        flag to display information about the process

    Returns:
      A list of columns
  get_download_link(tdt, retrieval_type, filename, verbose, **kwargs)

    Get download link for ISO

    Parameters:
      tdt string

        id of the Target Dedicated Time (observation identifier) to be downloaded, mandatory The identifier of the observation we want to retrieve, 8 digits example: 40001501

      product_level string

        level to download, optional, by default everything is selected values: DEFAULT_DATA_SET, FULLY_PROC, RAW_DATA, BASIC_SCIENCE, QUICK_LOOK, DEFAULT_DATA_SET, HPDP, ALL

      retrieval_type string

        type of retrieval: OBSERVATION for full observation or STANDALONE for single files

      filename string

        file name to be used to store the file

      verbose bool

        optional, default ‘False’ flag to display information about the process

    Returns:
      None if not verbose. It downloads the observation indicated
      If verbose returns the filename
  get_postcard(tdt, *, filename=None, verbose=False)

    Download postcards from ISO Data Archive

    Parameters:
      tdt string

        id of the observation for which download the postcard, mandatory The identifier of the observation we want to retrieve, regardless of whether it is simple or composite.

      filename string

        file name to be used to store the postcard, optional, default None

      verbose bool

        optional, default ‘False’ Flag to display information about the process

    Returns:
      File name to be used to store the postcard
  get_postcard_link(tdt, filename=None, verbose=False)

    Get postcard link for ISO

    Parameters:
      tdt string

        id of the Target Dedicated Time (observation identifier) to be downloaded, mandatory The identifier of the observation we want to retrieve, 8 digits example: 40001501

      product_level string

        level to download, optional, by default everything is selected values: DEFAULT_DATA_SET, FULLY_PROC, RAW_DATA, BASIC_SCIENCE, QUICK_LOOK, DEFAULT_DATA_SET, HPDP, ALL

      retrieval_type string

        type of retrieval: OBSERVATION for full observation or STANDALONE for single files

      filename string

        file name to be used to store the file

      verbose bool

        optional, default ‘False’ flag to display information about the process

    Returns:
      The postcard filename
  get_tables(*, only_names=True, verbose=False)

    Get the available table in XSA TAP service

    Parameters:
      only_names bool, TAP+ only, optional, default ‘True’

        True to load table names only

      verbose bool, optional, default ‘False’

        flag to display information about the process

    Returns:
      A list of tables
  query_ida_tap(query, *, output_file=None, output_format='votable', verbose=False)

    Launches a synchronous job to query ISO Tabular Access Protocol Service

    Parameters:
      query str, mandatory

        query (adql) to be executed

      output_file str, optional, default None

        file name where the results are saved if dumpToFile is True. If this parameter is not provided, the jobid is used instead

      output_format str, optional, default ‘votable’

        possible values ‘votable’ or ‘csv’

      verbose bool, optional, default ‘False’

        flag to display information about the process

    Returns:
      A table object